/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"Debug_8h.html#afc3d101f633a076cc1ca84b85b6224b2",
"IOStream_8h.html#acae8a150665dc5989f8346ac2bd4dca3",
"LookupAttr_8h_source.html",
"Node_8h.html",
"PoolItemBest_8h.html",
"RepoIndex_8cc.html",
"RpmFlags_8h.html#a4c4781cc6d1baa791e7b97b8093beeb9aae3e98e4364e4e89798d627549ca952b",
"StrMatcher_8cc.html#a12f74bdfa5be8db252f374dcf4f15a43",
"Testcase_8cc_source.html",
"ZYpp_8h.html",
"classzypp_1_1CapMatch.html#a6d255c60e627d26202b5bdd1802ce6fa",
"classzypp_1_1CountryCode.html#aea81203ed6bd624b459cd69e1e5044ff",
"classzypp_1_1Edition.html#aefe3ffc4265b73be91b45c3868ce27a7",
"classzypp_1_1HistoryLogDataRepoAliasChange.html#a1a014ad4136720957d585356482f081d",
"classzypp_1_1LanguageCode.html",
"classzypp_1_1Package.html#a4bd7ec611b061d0d2923d3d4460d89b8",
"classzypp_1_1PoolItem.html#a3080098b6f5d5af9fe373852db5b96be",
"classzypp_1_1Product_1_1UrlList.html#a7b17af3f733add901cdc28797e208df4",
"classzypp_1_1RepoInfo.html#ae635ca6d20a01ff317c7cea889767b0a",
"classzypp_1_1ResPool.html#aa7024daed7113ee661cbbc2266a27b4e",
"classzypp_1_1Resolvable.html#a2164cde953aee6414533104da867b459",
"classzypp_1_1StrMatcher.html#a898290bc075c205fb329e0d0093159fa",
"classzypp_1_1ZConfig.html#ace561232bb1c1e476c6354f8e18fc7aa",
"classzypp_1_1base_1_1DrunkenBishop.html#a5fdeb69d266bfc593acf9259b14fc0ed",
"classzypp_1_1callback_1_1UserData.html",
"classzypp_1_1filesystem_1_1PathInfo.html#af8223f1087bb62c359f03a51fb32a5a1",
"classzypp_1_1media_1_1CredentialManager.html#aac50e95a7b514d724eceac08a1bd95ad",
"classzypp_1_1media_1_1MediaDIR.html#a1b5586671d0d844eabfdfeeb7b642dc1",
"classzypp_1_1media_1_1MediaNotAttachedException.html#a4510c0ac599c6689c8346863748b0063",
"classzypp_1_1media_1_1TransferSettings_1_1Impl.html#ad125010f9dd31c6f972ec859af8fe929",
"classzypp_1_1parser_1_1ServiceFileReader.html#ad3243174e697b8ac8de64db9aed357f4",
"classzypp_1_1repo_1_1RepoMediaAccess.html#a5d10761df6ce1f1ad1af0e29da9e9f6d",
"classzypp_1_1sat_1_1LookupAttr_1_1TransformIterator.html#a10b91e9f8784b89d4f1afa42df4c2659",
"classzypp_1_1sat_1_1SolvAttr.html#a7dbbe42a21fde6f6d4a95612fbef6fe0",
"classzypp_1_1sat_1_1Transaction.html#a716acd202f940786d84e3897951cee10",
"classzypp_1_1solver_1_1detail_1_1SolverQueueItemDelete.html#aa1786b809761245c0427083d6bc37e30",
"classzypp_1_1target_1_1RpmInstallPackageReceiver.html#aded9274dac5b75461c5649bc7d114d70",
"classzypp_1_1target_1_1rpm_1_1RpmAccessBlockedException.html#a48b463962804ac4be56aac9c57c76819",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1DbDirInfo.html#a092591399735eab5dd8b4299bab6e362",
"classzypp_1_1url_1_1UrlBase.html#ab534264be18d8a640ebd67692b467095",
"classzypp_1_1zypp__detail_1_1ZYppImpl.html#a60d61e0123b8b6ec15407f00788c1e26",
"group__ITERATOR.html#ga698fe9dbdb5b8642e2c48d2f98fc07d7",
"namespacemembers_func_t.html",
"structzypp_1_1Arch_1_1CompatEntry.html#af97585976ea93fbcf593152e40b923f2",
"structzypp_1_1FetcherJob.html#aacecbeed438e2697c62c380cb172c8a6",
"structzypp_1_1PoolItemBest_1_1Impl.html",
"structzypp_1_1RepoInfo_1_1Impl.html#aa40b470657458e40c04a80347ec496b5",
"structzypp_1_1ZConfig_1_1Impl_1_1MultiversionMap.html#a6e95d4f1e1de677097bd2f5c1e0f1f28",
"structzypp_1_1env_1_1ScopedSet.html#a63dabe00ce076ee3948ff13511c8d966",
"structzypp_1_1media_1_1MountEntry.html#ac2ba0740064836291f7733b0c6b2218f",
"structzypp_1_1repo_1_1RepoType.html#a6d69173d8377c1f509e165f72be47f03",
"structzypp_1_1sat_1_1Transaction_1_1Impl.html#a8dc14cbcd1c3f984b68c9be351e116f9",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#a02b7d8a0199079f58edc267ba4692425",
"susetags_2Downloader_8cc_source.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';